# Generated by Django 3.1.6 on 2021-03-01 19:50

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('lods', '0002_auto_20210227_2337'),
    ]

    operations = [
        migrations.CreateModel(
            name='Course',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.BooleanField(default=False)),
                ('name', models.TextField(null=True)),
                ('number', models.TextField(null=True)),
                ('platform_id', models.IntegerField(null=True)),
                ('cloud_platform_id', models.IntegerField(null=True)),
                ('enabled', models.BooleanField(null=True)),
                ('reason_disabled', models.TextField(null=True)),
                ('development_status_id', models.IntegerField(null=True)),
                ('description', models.TextField(null=True)),
                ('objective', models.TextField(null=True)),
                ('scenario', models.TextField(null=True)),
                ('expected_duration_minutes', models.IntegerField(null=True)),
                ('duration_minutes', models.IntegerField(null=True)),
                ('ram', models.IntegerField(null=True)),
                ('has_integrated_content', models.BooleanField(null=True)),
                ('content_version', models.IntegerField(null=True)),
                ('is_exam', models.BooleanField(null=True)),
                ('premium_price', models.FloatField(null=True)),
                ('basic_price', models.FloatField(null=True)),
                ('tags', models.JSONField(default=list, null=True)),
                ('shared_class_environment_role_id', models.IntegerField(null=True)),
                ('catalog', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='course', to='lods.catalog')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Series',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.BooleanField(default=False)),
                ('name', models.TextField(null=True)),
                ('description', models.TextField(null=True)),
                ('num_training_days', models.IntegerField(null=True)),
                ('catalog', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='series', to='lods.catalog')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.RemoveField(
            model_name='labseries',
            name='catalog',
        ),
        migrations.DeleteModel(
            name='LabProfile',
        ),
        migrations.DeleteModel(
            name='LabSeries',
        ),
        migrations.AddField(
            model_name='course',
            name='series',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='courses', to='lods.series'),
        ),
    ]
